
 <?php

	
	 //$cedula=$_GET["cedula"];
	//$cedtip=$_GET["cedtip"];
	
 //$cedula=112320379;
		include('../conexion.php');
$consulta ="SELECT * FROM web_0301 WHERE tarexoagro = 1 ";
	$count=0;

if ($resultado = $mysqli->query($consulta)) 
	$count=0;

    while ($fila2 = $resultado->fetch_assoc()) {
		
		$cedula  = $fila2["CEDCLI"];
		$DSCCLI  = $fila2["DSCCLI"];
		
		

$curl = curl_init();
 
curl_setopt_array($curl, array(
  CURLOPT_URL => "https://api.hacienda.go.cr/fe/agropecuario?identificacion=".$cedula,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => false,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
));
 
$response = curl_exec($curl);
$err = curl_error($curl);
 
curl_close($curl);
 
if ($err) {
  echo "cURL Error #:" . $err;
} else {
  //echo $response;
$data = json_decode($response, true);

//var_dump($data);

if (!empty($data["listaDatosMAG"] )) {

//echo "<br>";
//echo "<br>";

$cuantos=0; 

$fechaBajaMAG="0000-00-00";
$fechaBajaSENASA="0000-00-00";

foreach ($data["listaDatosMAG"] as $key => $value) {
/*
 echo $nombreMAG = $value["nombreMAG"];
echo "<br>";
 echo $estadoMAG = $value["estadoMAG"];
echo "<br>";
 echo $fechaBaja = $value["fechaBajaMAG"];
echo "<br>";
 echo $indicadorActivoMAG = $value["indicadorActivoMAG"];
echo "<br>";
 echo $fechaAlta= $value["fechaAltaMAG"];
echo "<br>";
echo $fuente = $value["fuenteMAG"];
echo "<br>";
echo "<br>";
echo "<br>";
*/
 $fuente = $value["fuenteMAG"];
			
if ($fuente=="MAG") {

$fechaAltaMAG = $value["fechaAltaMAG"];
$fechaBajaMAG = $value["fechaBajaMAG"];		
$fecemimag = $value["fechaAltaMAG"];
$fecvenmag = $value["fechaBajaMAG"]; 
				 
			}
			
	
 if ($fuente=="SENASA") {



$fechaAltaSENASA = $value["fechaAltaMAG"];
$fechaBajaSENASA = $value["fechaBajaMAG"];	
$fecemisenasa = $value["fechaAltaMAG"];
$fecvensenasa = $value["fechaBajaMAG"];
	

			}	
	


} // fin for

//$fechaBajaMAG = implode("-", array_reverse(explode("-", $fechaBajaMAG))); 
//$fechaBajaSENASA = implode("-", array_reverse(explode("-", $fechaBajaSENASA ))); 

$fechaBajaMAG=strtotime($fechaBajaMAG);
$fechaBajaSENASA=strtotime($fechaBajaSENASA);



if($fechaBajaMAG > $fechaBajaSENASA){
echo "<br>";
echo "MAYOR mag";
echo "<br>";
echo $fecemimag;
echo "<br>";
echo $fecvenmag;
echo "<br>";
echo $cedula ;
echo "<br>";
echo $DSCCLI ;	
echo "<br>";
echo $count ;
echo "<br>";
echo "************************************************************************";

 $query="UPDATE web_0301 SET fecemimag = '$fecemimag',fecvenmag='$fecvenmag' WHERE web_0301.CEDCLI = '$cedula'";	
$mysqli->query($query);


}
else if($fechaBajaSENASA > $fechaBajaMAG){
echo "<br>";
echo "MAYOR senasa";
echo "<br>";
echo $fecemisenasa;
echo "<br>";
echo $fecvensenasa;
echo "<br>";
echo $cedula ;
echo "<br>";
echo $DSCCLI ;	
echo "<br>";	
echo $count ;
echo "<br>";
echo "************************************************************************";	

 $query="UPDATE web_0301 SET fecemimag = '$fecemisenasa',fecvenmag='$fecvensenasa' WHERE web_0301.CEDCLI = '$cedula'";	
$mysqli->query($query);


}


	

			} else {
echo "<br>";
echo "Numero de CEDULA no registrado como productor agropecuario MAG";
echo "<br>";	
echo $cedula ;
echo "<br>";
echo $DSCCLI ;	
echo "<br>";	
echo $count ;
echo "<br>";
echo "************************************************************************";	



$query_operacion="UPDATE web_0301 SET tarexoagro = '0' WHERE web_0301.CDGCLI = '$cedula'";	
$mysqli->query($query_operacion);


} 			






} 
	$count++;
	
	

} // fin while
 
 

?>









